#include <mpi.h>
#include <stdio.h>

main (argc, argv)
int     argc;
char    *argv[];
{
int i;
int rank;
int size;
MPI_Comm comm;

printf ("%d args:\n", argc);
for (i = 0; i < argc; i++)
    {
    printf ("%s\n", argv[i]);
    }
/*
printf ("\n Press a key...\n");
getchar();
*/

printf ("Before init\n");

i = MPI_Init (&argc, &argv);
printf ("MPI_Init returned %d\n", i);
printf ("MPI_COMM_WORLD = %d\n", MPI_COMM_WORLD);
comm = MPI_COMM_WORLD;

i = MPI_Comm_rank(comm, &rank);
printf ("MPI_Comm_rank returned %d\n", i);
printf ("rank = %d\n", rank);

i = MPI_Comm_size(comm, &size);
printf ("MPI_Comm_size returned %d\n", i);
printf ("size = %d\n", size);

MPI_Finalize ();
i = printf ("MPI_Finalize returned %d\n", i);

printf ("Done.\n");

}

